# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray1OfExtendedString Class Reference

`#include <PColStd_HArray1OfExtendedString.hxx>`

## Public Member Functions

Standard_EXPORT | PColStd_HArray1OfExtendedString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColStd_HArray1OfExtendedString (const Standard_Integer Low, const Standard_Integer Up, const Handle(PCollection_HExtendedString)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PCollection_HExtendedString)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PCollection_HExtendedString | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray1OfExtendedString ()
| PColStd_HArray1OfExtendedString (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfExtendedStringLowerBound () const
void | _CSFDB_SetPColStd_HArray1OfExtendedStringLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfExtendedStringUpperBound () const
void | _CSFDB_SetPColStd_HArray1OfExtendedStringUpperBound (const Standard_Integer p)
const PColStd_FieldOfHArray1OfExtendedString & | _CSFDB_GetPColStd_HArray1OfExtendedStringData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColStd_FieldOfHArray1OfExtendedString | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColStd_FieldOfHArray1OfExtendedString | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray1OfExtendedString::PColStd_HArray1OfExtendedString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColStd_HArray1OfExtendedString::PColStd_HArray1OfExtendedString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PCollection_HExtendedString)& | V
| ) |

PColStd_HArray1OfExtendedString::PColStd_HArray1OfExtendedString | ( |  | ) | `[inline]`

PColStd_HArray1OfExtendedString::PColStd_HArray1OfExtendedString | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray1OfExtendedString& PColStd_HArray1OfExtendedString::_CSFDB_GetPColStd_HArray1OfExtendedStringData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfExtendedString::_CSFDB_GetPColStd_HArray1OfExtendedStringLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfExtendedString::_CSFDB_GetPColStd_HArray1OfExtendedStringUpperBound | ( |  | ) | const`[inline]`

void PColStd_HArray1OfExtendedString::_CSFDB_SetPColStd_HArray1OfExtendedStringLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray1OfExtendedString::_CSFDB_SetPColStd_HArray1OfExtendedStringUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColStd_HArray1OfExtendedString::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray1OfExtendedString PColStd_HArray1OfExtendedString::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray1OfExtendedString::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray1OfExtendedString::Length | ( |  | ) | const

Standard_Integer PColStd_HArray1OfExtendedString::Lower | ( |  | ) | const

Standard_EXPORT void PColStd_HArray1OfExtendedString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PCollection_HExtendedString)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray1OfExtendedString::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray1OfExtendedString::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray1OfExtendedString::Upper | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HExtendedString PColStd_HArray1OfExtendedString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColStd_FieldOfHArray1OfExtendedString PColStd_HArray1OfExtendedString::Data `[private]`

Standard_Integer PColStd_HArray1OfExtendedString::LowerBound `[private]`

Standard_Integer PColStd_HArray1OfExtendedString::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray1OfExtendedString.hxx